package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 客户使用状态枚举类
 */
public enum CustomerSatusEnum implements IBaseEnum {
    NORMAL(1,"启用", SysConstains.STYLE_DEFAULT),
    DISABLE(0,"禁用", SysConstains.STYLE_DEFAULT),
    ;

    private int value;
    private String desc;
    private String style;

    CustomerSatusEnum(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }

    @Override
    public String getStyle() {
        return this.style;
    }

    public static CustomerSatusEnum getByValue(int value) {
        for (CustomerSatusEnum e : CustomerSatusEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }

    public static Map<String,String> getEnumMap(int... eItem) {
        Map<String,String> resultMap= new LinkedHashMap<String,String>();
        for (CustomerSatusEnum item : CustomerSatusEnum.values()) {
            try{
                boolean hasE = false;
                for (int e : eItem){
                    if(item.getValue()==e){
                        hasE = true;
                        break;
                    }
                }
                if(!hasE){
                    resultMap.put(item.getValue()+"", item.getDesc());
                }
            }catch(Exception ex){
            }
        }
        return resultMap;
    }
}
